Package com.avaya.clientservices.provider.certificate

## Class CertificateEnrollmentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.provider.certificate.CertificateEnrollmentException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CertificateEnrollmentException
      extends java.lang.Exception

  Certificate enrollment exception represents an overall certificate enrollment result containing details of why `CertificateManager.enroll(ScepConfiguration, EnrollmentCredentialProvider, CertificateEnrollmentCompletionHandler)` failed.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CertificateEnrollmentException​(CertificateEnrollmentResult result)` | Creates a new instance of CertificateEnrollmentException containing the certificate enrollment result.
    `CertificateEnrollmentException​(CertificateEnrollmentResult result, java.lang.String errorMessage)` | Creates a new instance of CertificateEnrollmentException containing the certificate enrollment result and error description.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CertificateEnrollmentResult` | `getEnrollmentResult()` | Returns the stored certificate enrollment result.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateEnrollmentException

          public CertificateEnrollmentException​(CertificateEnrollmentResult result)

      Creates a new instance of CertificateEnrollmentException containing the certificate enrollment result.
      Parameters:
        `result` - Certificate enrollment result.

    - #### CertificateEnrollmentException

          public CertificateEnrollmentException​(CertificateEnrollmentResult result,
                                                java.lang.String errorMessage)

      Creates a new instance of CertificateEnrollmentException containing the certificate enrollment result and error description.
      Parameters:
        `result` - Certificate enrollment result.
        `errorMessage` - Error description.

  - ### Method Detail

    - #### getEnrollmentResult

          public CertificateEnrollmentResult getEnrollmentResult()

      Returns the stored certificate enrollment result.
      Returns:
        Certificate enrollment result.